import { Form } from '../../e2elib/lib/src/pageobjects/form.component';
import { ChartSOP } from '../../libappsop/chartsop';

export class FormScenarioAnalysisStockingPointCapacity extends Form {
  public chartScenarioAnalysisStockingPointCapacity = new ChartScenarioAnalysisStockingPointCapacity();

  public constructor() {
    super('FormScenarioAnalysisStockingPointCapacity');
  }
}

export class ChartScenarioAnalysisStockingPointCapacity extends ChartSOP {
  public static readonly title = 'Scenario analysis - unit capacity';
  public static readonly chartSeriesUtilization = 'Utilization';
  public static readonly chartSeriesFree = 'Free';
  public static readonly chartSeriesOverload = 'Overload';
  public static readonly chartNrOfSeries = 3;
  public static readonly chartYAxisTitle = 'Utilization(%)';
  public static readonly chartTitle = 'Stocking point capacity utilization';

  public constructor() {
    super('DashboardChartScenarioAnalysisStockingPointCapacity');
  }
}
